org.apache.sysds.runtime.controlprogram.parfor

## Class ParForBody

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.ParForBody

-     public class ParForBody
      extends Object

  Wrapper for exchanging parfor body data structures.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParForBody()`
    `ParForBody(ArrayList<ProgramBlock> childBlocks, ArrayList<ParForStatementBlock.ResultVar> resultVars, ExecutionContext ec)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<ProgramBlock>` | `getChildBlocks()`
    `ExecutionContext` | `getEc()`
    `ArrayList<ParForStatementBlock.ResultVar>` | `getResultVariables()`
    `LocalVariableMap` | `getVariables()`
    `void` | `setChildBlocks(ArrayList<ProgramBlock> childBlocks)`
    `void` | `setEc(ExecutionContext ec)`
    `void` | `setResultVariables(ArrayList<ParForStatementBlock.ResultVar> resultVars)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParForBody

          public ParForBody()

    - #### ParForBody

          public ParForBody(ArrayList<ProgramBlock> childBlocks,
                            ArrayList<ParForStatementBlock.ResultVar> resultVars,
                            ExecutionContext ec)

  - ### Method Detail

    - #### getVariables

          public LocalVariableMap getVariables()

    - #### getResultVariables

          public ArrayList<ParForStatementBlock.ResultVar> getResultVariables()

    - #### setResultVariables

          public void setResultVariables(ArrayList<ParForStatementBlock.ResultVar> resultVars)

    - #### getChildBlocks

          public ArrayList<ProgramBlock> getChildBlocks()

    - #### setChildBlocks

          public void setChildBlocks(ArrayList<ProgramBlock> childBlocks)

    - #### getEc

          public ExecutionContext getEc()

    - #### setEc

          public void setEc(ExecutionContext ec)

Copyright © 2020 The Apache Software Foundation. All rights reserved.